List fiat deposit accounts
curl --request GET \
--url https://api.privy.io/v1/wallets/{wallet_id}/deposit_accounts/fiat \
--header 'Authorization: Basic <encoded-value>' \
--header 'privy-app-id: <privy-app-id>'HttpResponse<String> response = Unirest.get("https://api.privy.io/v1/wallets/{wallet_id}/deposit_accounts/fiat")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.asString();const options = {
method: 'GET',
headers: {'privy-app-id': '<privy-app-id>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.privy.io/v1/wallets/{wallet_id}/deposit_accounts/fiat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/wallets/{wallet_id}/deposit_accounts/fiat",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/wallets/{wallet_id}/deposit_accounts/fiat"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"deposit_accounts": [
{
"id": "<string>",
"wallet_id": "<string>",
"provider": "bridge",
"environment": "sandbox",
"status": "activated",
"source": {
"currency": "<string>",
"payment_rails": [
"<string>"
]
},
"destination": {
"asset": "<string>",
"chain": "<string>"
},
"deposit_instructions": {
"bank_name": "<string>",
"bank_address": "<string>",
"bank_account_number": "<string>",
"bank_routing_number": "<string>",
"bank_beneficiary_name": "<string>",
"bank_beneficiary_address": "<string>",
"iban": "<string>",
"bic": "<string>",
"clabe": "<string>",
"br_code": "<string>",
"account_number": "<string>",
"sort_code": "<string>",
"bre_b_key": "<string>",
"account_holder_name": "<string>",
"deposit_message": "<string>",
"payment_rails": [
"<string>"
]
},
"created_at": "<string>"
}
],
"next_cursor": "<string>"
}Fiat deposit accounts
List fiat deposit accounts
Returns a list of fiat deposit accounts linked to a wallet.
GET
/
v1
/
wallets
/
{wallet_id}
/
deposit_accounts
/
fiat
List fiat deposit accounts
Authorizations
Basic Auth header with your app ID as the username and your app secret as the password.
Headers
ID of your Privy app.
Path Parameters
The ID of the wallet.
Query Parameters
Supported fiat orchestration providers.
Available options:
bridge The Privy API environment.
Available options:
sandbox, production Example:
"sandbox"
Was this page helpful?
⌘I

